# Uses of Enum Class
org.eclipse.e4.ui.model.application.ui.menu.ItemType

Packages that use ItemType
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.

## Uses of ItemType in org.eclipse.e4.ui.model.application.ui.menu

Fields in org.eclipse.e4.ui.model.application.ui.menu with type parameters of type ItemType
Modifier and Type
Field
Description
`static final List<ItemType>`
ItemType.`VALUES`
A public read-only list of all the 'Item Type' enumerators.
Methods in org.eclipse.e4.ui.model.application.ui.menu that return ItemType
Modifier and Type
Method
Description
`static ItemType`
ItemType.`get(int value)`
Returns the 'Item Type' literal with the specified integer value.
`static ItemType`
ItemType.`get(String literal)`
Returns the 'Item Type' literal with the specified literal value.
`static ItemType`
ItemType.`getByName(String name)`
Returns the 'Item Type' literal with the specified name.
`ItemType`
MItem.`getType()`
Returns the value of the 'Type' attribute.
`static ItemType`
ItemType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ItemType[]`
ItemType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.e4.ui.model.application.ui.menu with parameters of type ItemType
Modifier and Type
Method
Description
`void`
MItem.`setType(ItemType value)`
Sets the value of the '`Type`' attribute.